<template>
  <v-container
    id="regular-tables-view"
    fluid
    tag="section"
  >
    <!-- <view-intro
      heading="Simple Tables"
      link="components/simple-tables"
    /> -->

    <material-card
      icon="mdi-clipboard-text"
      icon-small
      title="Financial Information"
      color="accent"
    >
      <v-simple-table>
        <!-- <thead>
          <tr>
            <th class="primary--text">
              ID
            </th>
            <th class="primary--text">
              Name
            </th>
            <th class="primary--text">
              Country
            </th>
            <th class="primary--text">
              City
            </th>
            <th class="text-right primary--text">
              Salary
            </th>
          </tr>
        </thead> -->

        <thead>
          <tr>
            <th
              v-for="(item,index) in financialProperties"
              :key="`key-${index}`"
              :class="{'text-right':index===financialProperties.length-1}"
            >
              {{ item }}
            </th>
            <!-- <th>item</th>
            <th>Name</th>
            <th>Country</th>
            <th>City</th>
            <th class="text-right">
              Salary
            </th> -->
          </tr>
        </thead>
        <tbody>
          <tr
            v-for="item in financialList"
            :key="`key-${item.name}`"
          >
            <th
              v-for="(value,index) in item"
              :key="`key2-${value}`"
              :class="{'text-right':index==='capital'}"
            >
              {{ value }}
            </th>
          </tr>
        </tbody>
      </v-simple-table>
    </material-card>

    <div class="py-3" />

    <material-card
      dark
      icon="mdi-clipboard-plus"
      icon-small
      title="Information About Companies"
      color="accent"
    >
      <v-simple-table>
        <thead>
          <tr>
            <th
              v-for="(item,index) in companyProperties"
              :key="`key-${index}`"
              :class="{'text-right':index===companyProperties.length-1}"
            >
              {{ item }}
            </th>
            <!-- <th>item</th>
            <th>Name</th>
            <th>Country</th>
            <th>City</th>
            <th class="text-right">
              Salary
            </th> -->
          </tr>
        </thead>

        <tbody>
          <tr
            v-for="item in companyList"
            :key="`key-${item}`"
          >
            <th
              v-for="(value,index) in item"
              :key="`key-${value}`"
              :class="{'text-right':index==='asset'}"
            >
              {{ value }}
            </th>
          </tr>
        </tbody>
      </v-simple-table>
    </material-card>
  </v-container>
</template>

<script>
  export default {
    name: 'RegularTablesView',
    data () {
      return {
        // 创立一个properties1，用来设立这个表一共有多少列。
        companyProperties: ['ID', 'CODE', 'NAME', 'CURRENCY', 'ASSET'],
        financialProperties: ['ID', 'NAME', 'DATE', 'ADDRESS', 'CAPITAL'],

        companyList: [{
          id: '1',
          code: '010111',
          name: '广发医药健康混合C',
          currency: 'RMB',
          asset: '11.88亿',
        }, {
          id: '2',
          code: '004997',
          name: '广发高端制造股票A',
          currency: 'RMB',
          asset: '238.13亿',
        }, {
          id: '3',
          code: '004698',
          name: '博时军工主题股票A',
          currency: 'RMB',
          asset: '54.43亿',
        }, {
          id: '4',
          code: '006266',
          name: '永赢智能领先混合A',
          currency: 'RMB',
          asset: '9.43亿',
        }, {
          id: '5',
          code: '001300',
          name: '大成睿景灵活配置混合A',
          currency: 'RMB',
          asset: '10.50亿',
        }, {
          id: '6',
          code: '001717',
          name: '工银瑞信前沿医疗股票A',
          currency: 'RMB',
          asset: '72.17亿',
        },
        ],

        financialList: [{
          id: '1',
          name: '广发基金管理有限公司',
          date: '2003-08-05',
          address: '广州',
          capital: '14097.8万',
        }, {
          id: '2',
          name: '博时基金管理有限公司',
          date: '1998-07-13',
          address: '深圳',
          capital: '25000.0万',
        }, {
          id: '3',
          name: '永赢基金管理有限公司',
          date: '2013-11-07',
          address: '宁波',
          capital: '90000.0万',
        }, {
          id: '4',
          name: '大成基金管理有限公司',
          date: '1999-04-12',
          address: '深圳',
          capital: '20000.0万',
        }, {
          id: '5',
          name: '诺安基金管理有限公司',
          date: '2003-12-09',
          address: '深圳',
          capital: '15000.0万',
        }, {
          id: '6',
          name: '中欧基金管理有限公司',
          date: '2006-07-19',
          address: '上海',
          capital: '22000.0万',
        },
        ],
      }
    },
  }
</script>
